/* ===== Main page sticky background ===== */

#mainImageBackground{
    background-image: url("./../assets/images/klima_fix.webp");
    width: 100%;
    height: 400px;
    
}

footer{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    gap: 3rem;
}
#footerInformation{
    width: clamp(400px, 80%, 100%);
    padding-top: 3rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: auto;
    margin-right: auto;

}
#footerInformation > .contactData{
    display: flex;
    flex-direction: column;
    align-items: center;
    
    gap: 1rem;
}

#footerInformation > .contactData > div {
    width: clamp(200px, 20%, 100%);
    display: flex;
    gap: 2rem;
    align-items: center;
}

#adatkezeles{
    width: clamp(200px, 20%, 100%);
    height: 100%;
    display: flex;
    
    
} 

@media (min-width: 460px) AND (max-width: 767px) {
  

}

@media (max-width: 460px) {
    #footerInformation{
        width: 100%;
        padding-left: 1rem;
        padding-right: 1rem;
        flex-direction: column;
        gap: 2rem;
    }

    #adatkezeles{
        padding-left: 3rem;
        
    }
}


#carholder {
    margin-bottom: 4rem;
    max-height: 600px;
    width: 100%;
    background-color: var(--color-primary);
    display: flex;
    align-items: center;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

#carholder > div{
    width: 100%;
    max-height: calc(600px - 4rem);
    overflow: hidden;
    position: relative;
    
}

#carholder > div > picture{
    width: 100%;
    height: 100%;
    max-height: calc(600px - 4rem);
    display: block;
    
}

#carholder > div > picture img{
    
    max-height: calc(600px - 4rem);
    width: 100%;
    object-fit: contain;
    display: block;
    
    
    
}

#carholder > div > .info-icon {
    position: absolute;
    top: 1rem;
    right: 1rem;
    width: 30px;
    height: 30px;
    background: white;
    color: black;
    font-weight: bold;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0,0,0,0.2);
    user-select: none;
}

#carholder > div > .info-popup {
    position: absolute;
    top: 40px;      
    right: 40px;       
    width: 200px;
    background: white;
    color: black;
    border: 1px solid #ccc;
    padding: 1rem;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    
    
    opacity: 0;
    pointer-events: none; 
    transition: opacity 0.2s ease;
    z-index: 3;
}

#carholder > div > .info-icon:hover + .info-popup,
#carholder > div > .info-popup.show {
    opacity: 1;
    pointer-events: auto;
}



